Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Highlighted
Contributor
Posts: 10
Registered: ‎06-28-2011
My Device: none
My Carrier: none

Set up Flash Builder 4.7 to publish to BB10

[ Edited ]

 

Hi All, I set up Flash Builder 4.7 (on PC) following the update site:  http://developer.blackberry.com/air/documentation/install_bb10sdk_air_update_site.html all worked well - following the wizard and even the debug tokens etc. 

 

But... when I come to build an app following these instructions: http://developer.blackberry.com/air/documentation/create_your_first_application_fb_ms_2010840_11.htm... I can only see AIR 3.7 - not 3.4 as shown in the diagram.

 

As far as I understand, I need to use an earlier version of AIR - not sure which one - any suggestions?  And when I try and overlay AIR 3.1 or AIR 3.2 by following these instuctions: http://helpx.adobe.com/flash-builder/kb/overlay-air-sdk-flash-builder.html Flash Builder 4.7 shows no Package Explorer and has lots of errors.  I did this a number of times with Flash Builder 4.6 but can't seem to get it to work on 4.7.

 

I am not even sure I need to do this - why does the BB SDK install under preferences say it has installed BlackBerry AIR SDK 3.2.1 if it can't even use it.  Anyway... help!

 

Thanks, Dan